// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkShift的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkShift_PlantNr = grmi.NewField("PlantNr", "WorkShift.PlantNr", "plantnr", grmi.TypeInt)
var WorkShift_WorkShiftNr = grmi.NewField("WorkShiftNr", "WorkShift.WorkShiftNr", "workshiftnr", grmi.TypeInt)
var WorkShift_Descr = grmi.NewField("Descr", "WorkShift.Descr", "descr", grmi.TypeString)
var WorkShift_Abrev = grmi.NewField("Abrev", "WorkShift.Abrev", "abrev", grmi.TypeString)
var WorkShift_HexColor = grmi.NewField("HexColor", "WorkShift.HexColor", "hexcolor", grmi.TypeString)
var WorkShift_PlanPersonQty = grmi.NewField("PlanPersonQty", "WorkShift.PlanPersonQty", "planpersonqty", grmi.TypeInt)
var WorkShift_PlanEfficiency = grmi.NewField("PlanEfficiency", "WorkShift.PlanEfficiency", "planefficiency", grmi.TypeFloat64)
var WorkShift_SBeg = grmi.NewField("SBeg", "WorkShift.S_Beg", "sbeg", grmi.TypeInt)
var WorkShift_SEnd = grmi.NewField("SEnd", "WorkShift.S_End", "send", grmi.TypeInt)
var WorkShift_SLen = grmi.NewField("SLen", "WorkShift.S_Len", "slen", grmi.TypeInt)
var WorkShift_SB1Beg = grmi.NewField("SB1Beg", "WorkShift.S_B1_Beg", "sb1beg", grmi.TypeInt)
var WorkShift_SB1End = grmi.NewField("SB1End", "WorkShift.S_B1_End", "sb1end", grmi.TypeInt)
var WorkShift_SB2Beg = grmi.NewField("SB2Beg", "WorkShift.S_B2_Beg", "sb2beg", grmi.TypeInt)
var WorkShift_SB2End = grmi.NewField("SB2End", "WorkShift.S_B2_End", "sb2end", grmi.TypeInt)
var WorkShift_SB3Beg = grmi.NewField("SB3Beg", "WorkShift.S_B3_Beg", "sb3beg", grmi.TypeInt)
var WorkShift_SB3End = grmi.NewField("SB3End", "WorkShift.S_B3_End", "sb3end", grmi.TypeInt)
var WorkShift_SB4Beg = grmi.NewField("SB4Beg", "WorkShift.S_B4_Beg", "sb4beg", grmi.TypeInt)
var WorkShift_SB4End = grmi.NewField("SB4End", "WorkShift.S_B4_End", "sb4end", grmi.TypeInt)
var WorkShift_SB5Beg = grmi.NewField("SB5Beg", "WorkShift.S_B5_Beg", "sb5beg", grmi.TypeInt)
var WorkShift_SB5End = grmi.NewField("SB5End", "WorkShift.S_B5_End", "sb5end", grmi.TypeInt)
var WorkShift_LastModify = grmi.NewField("LastModify", "WorkShift.LastModify", "lastmodify", grmi.TypeDateTime)
var WorkShift_LastUser = grmi.NewField("LastUser", "WorkShift.LastUser", "lastuser", grmi.TypeString)
var WorkShift_CreateTime = grmi.NewField("CreateTime", "WorkShift.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkShift的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var WorkShift = grmi.NewEntity(
	"WorkShift",
	func() interface{} { return &model.WorkShift{} },
	map[string]grmi.Field{
		WorkShift_PlantNr.Name:        WorkShift_PlantNr,
		WorkShift_WorkShiftNr.Name:    WorkShift_WorkShiftNr,
		WorkShift_Descr.Name:          WorkShift_Descr,
		WorkShift_Abrev.Name:          WorkShift_Abrev,
		WorkShift_HexColor.Name:       WorkShift_HexColor,
		WorkShift_PlanPersonQty.Name:  WorkShift_PlanPersonQty,
		WorkShift_PlanEfficiency.Name: WorkShift_PlanEfficiency,
		WorkShift_SBeg.Name:           WorkShift_SBeg,
		WorkShift_SEnd.Name:           WorkShift_SEnd,
		WorkShift_SLen.Name:           WorkShift_SLen,
		WorkShift_SB1Beg.Name:         WorkShift_SB1Beg,
		WorkShift_SB1End.Name:         WorkShift_SB1End,
		WorkShift_SB2Beg.Name:         WorkShift_SB2Beg,
		WorkShift_SB2End.Name:         WorkShift_SB2End,
		WorkShift_SB3Beg.Name:         WorkShift_SB3Beg,
		WorkShift_SB3End.Name:         WorkShift_SB3End,
		WorkShift_SB4Beg.Name:         WorkShift_SB4Beg,
		WorkShift_SB4End.Name:         WorkShift_SB4End,
		WorkShift_SB5Beg.Name:         WorkShift_SB5Beg,
		WorkShift_SB5End.Name:         WorkShift_SB5End,
		WorkShift_LastModify.Name:     WorkShift_LastModify,
		WorkShift_LastUser.Name:       WorkShift_LastUser,
		WorkShift_CreateTime.Name:     WorkShift_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "Abrev", "HexColor", "PlanPersonQty", "PlanEfficiency", "S_Beg", "S_End", "S_Len", "S_B1_Beg", "S_B1_End", "S_B2_Beg", "S_B2_End", "S_B3_Beg", "S_B3_End", "S_B4_Beg", "S_B4_End", "S_B5_Beg", "S_B5_End", "LastUser"})
